/******************************************************************************
 *                                                                         
 *               Copyright 2004-2006 Agilent Technologies
 *               All rights reserved.
 *
 *****************************************************************************/

#include "stdafx.h"
#include "resource.h"

// The module attribute causes DllMain, DllRegisterServer and DllUnregisterServer to be automatically implemented for you
[ module(dll, uuid = "{88c5b8b5-5b38-4680-9096-f629906da090}", 
		 name = "Agilent34952A",
		 version = "1.3",  
		 helpstring = "Namespace Agilent.Agilent34952A.Interop.",
		 helpfile = "Agilent34980A.chm",
		 resource_name = "IDR_Agilent34952A") ]

class CNtlModule {
public:
#if (_MSC_VER < 1400) // Before VS2005
	DECLARE_REGISTRY_APPID_RESOURCEID(IDR_Agilent34952A, "{eda7c5bc-b077-4436-8948-9ef3ae6806bc}")
#endif

	HRESULT DllRegisterServer(BOOL bRegTypeLib = TRUE)
	{
		HRESULT hr = __super::DllRegisterServer(bRegTypeLib);

		return hr;
	}

	HRESULT DllUnregisterServer()
	{
		HRESULT hr = __super::DllUnregisterServer();

		return hr;
	}
};

